PROBE::NFS.PROC.(3stap)

NAME
probe::nfs.proc.write_setup - NFS client setting up a write RPC task

SYNOPSIS

nfs.proc.write_setup

VALUES

size
    bytes written in this execution

server_ip
    IP address of server

offset
    the file offset

prot
    transfer protocol

count
    bytes written in this execution

bitmask0
    V4 bitmask representing the set of attributes supported on this filesystem

bitmask1
    V4 bitmask representing the set of attributes supported on this filesystem

how
    used to set args.stable. The stable value could be: NFS_UNSTABLE,NFS_DATA_SYNC,NFS_FILE_SYNC (in nfs.proc3.write_setup and nfs.proc4.write_setup)

version
    NFS version

DESCRIPTION

The write_setup function is used to setup a write RPC task. It is not doing the actual write operation.

SEE ALSO
tapset::nfs_proc(3stap)